## cairo-dock-plug-ins 3.4.0

=== CMakeLists.txt ===
########### requirements ###############

cmake_minimum_required (VERSION 2.6)
find_package (PkgConfig)
include (CheckLibraryExists)
include (CheckIncludeFiles)
include (CheckFunctionExists)
include (CheckSymbolExists)
include ("${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/GNUInstallDirs.cmake")

########### project ###############

project ("cairo-dock-plugins")
set (VERSION "3.4.0")

add_definitions (-std=c99 -Wall -Werror-implicit-function-declaration) # -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration -Wstrict-prototypes -Wreturn-type -Wparentheses -Warray-bounds)
if (NOT DEFINED CMAKE_BUILD_TYPE)
	add_definitions (-O3)
endif()
add_definitions (-DGL_GLEXT_PROTOTYPES="1")

############ sources tarball #############

set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
set (CPACK_SOURCE_IGNORE_FILES
	"/build/;/.bzr/;bzrignore$;/misc/;~$;${CPACK_SOURCE_IGNORE_FILES}")
include (CPack)

add_custom_target(dist
	COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
add_custom_target(dist-bzr
	COMMAND bzr export ${CMAKE_PROJECT_NAME}-${VERSION}.tar.gz
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

############ uninstall #############

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake IMMEDIATE @ONLY)
add_custom_target (uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

########### global variables ###############

if( WIN32 )
	message(FATAL_ERROR "Cairo-Dock requires an air-conditioned room. Please close Windows!")
endif( WIN32 )

set (PACKAGE ${CMAKE_PROJECT_NAME})
set (GETTEXT_PACKAGE ${PACKAGE})

if ("${PACKAGEMENT}" STREQUAL "") ## do not check if we're using the same version when packaging the application (e.g. if we just want to generate a tarball of a previous version)
	# we need GLDI which contains most global var: check it now to avoid many errors with regex
	pkg_check_modules (GLDI REQUIRED gldi=${VERSION})
	if (NOT GLDI_FOUND)
		execute_process(
			COMMAND pkg-config --modversion gldi  # 2.2.0-3
			OUTPUT_VARIABLE dock_version)
		if (NOT "${PACKAGEMENT}" STREQUAL "")
			STRING (REGEX REPLACE "\n" "" dock_version ${dock_version})
		endif ()
		MESSAGE (FATAL_ERROR "Error: version mismatch with the core: ${VERSION} <> ${dock_version}")
	endif ()
endif ()

set (dock_version ${VERSION}) # should be the same except if PACKAGEMENT is set

# get plug-ins install dir
execute_process(
    COMMAND pkg-config gldi --variable=pluginsdir  # /usr/lib/cairo-dock # or /usr/lib/x86_64-linux-gnu/cairo-dock
    OUTPUT_VARIABLE pluginsdir)
STRING (REGEX REPLACE "\n" "" pluginsdir ${pluginsdir})  # remove the \n
# get plug-ins data dir
execute_process(
    COMMAND pkg-config gldi --variable=pluginsdatadir  # /usr/share/cairo-dock/plug-ins
    OUTPUT_VARIABLE pluginsdatadir)
STRING (REGEX REPLACE "\n" "" pluginsdatadir ${pluginsdatadir})
# get prefix dir
execute_process(
    COMMAND pkg-config gldi --variable=prefix  # /usr/share/cairo-dock/plug-ins
    OUTPUT_VARIABLE prefix)
STRING (REGEX REPLACE "\n" "" prefix ${prefix})
# get GTK version (must be the same as the core, as GTK2 and GTK3 can't coexist at runtime)
execute_process(
    COMMAND pkg-config gldi --variable=gtkversion  # 2 or 3
    OUTPUT_VARIABLE gtkversion)
STRING (REGEX REPLACE "\n" "" gtkversion ${gtkversion})

# check that installation dir matches with the core
GET_FILENAME_COMPONENT(libdir "${pluginsdir}/.." ABSOLUTE)  # /usr/lib # or /usr/lib/x86_64-linux-gnu
GET_FILENAME_COMPONENT(pkgdatadir "${pluginsdatadir}/.." ABSOLUTE)  # /usr/share/cairo-dock
GET_FILENAME_COMPONENT(datadir "${pluginsdatadir}/../.." ABSOLUTE)  # /usr/share
if (NOT "${CMAKE_INSTALL_PREFIX}" STREQUAL "${prefix}"
		OR NOT "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}" STREQUAL "${libdir}"
		OR NOT "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}" STREQUAL "${datadir}")
	message (STATUS "It seems that the current CMAKE_INSTALL_{PREFIX,LIBDIR,DATAROOTDIR} flags are not the same that you have used with the core.")
	message (STATUS " It will be replaced by this value: ${prefix}")
	message (WARNING "Plug-ins should be installed in the same directory as the core, that is to say in ${pluginsdir}")
	set (CMAKE_INSTALL_PREFIX "${prefix}")
	#set (libdir "${CMAKE_INSTALL_PREFIX}/${libname}/cairo-dock")
endif()

# set internationalisation
set (GETTEXT_PLUGINS "cairo-dock-plugins")
set (localedir "${prefix}/${CMAKE_INSTALL_LOCALEDIR}")
set (gaugesdir "${datadir}/cairo-dock/gauges")

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_modules/")  # additionnal FindPackage files

set (MODULES_MISSING "")
set (MODULES_INTEGRATION_MISSING "")
set (PROGRAMS_MISSING "")


###########     Misc     ###############
macro (enable_if_not_defined MODULE1)
	if (NOT DEFINED ${MODULE1}) # true if not defined
		set (${MODULE1} TRUE)
	endif ()
endmacro (enable_if_not_defined)


##########     Config    ###############

enable_if_not_defined (force-icon-in-menus)
if (force-icon-in-menus)  # we believe that not showing icons in the menus by default is a terrible idea; unfortunately, it's not easily undoable for an end-user; so until this is fixed by a big player (Gnome, Ubuntu or other), we'll force the display, unless "-Dforce-icon-in-menus=yes" is provided in the cmake command.
	add_definitions (-DCAIRO_DOCK_FORCE_ICON_IN_MENUS=1)
else()
	add_definitions (-DCAIRO_DOCK_FORCE_ICON_IN_MENUS=0)
endif()


########### dependancies ###############

message ("")
message (STATUS "=====================")
message (STATUS "Check dependencies...")
message (STATUS "=====================")
message ("")

pkg_check_modules ("PACKAGE" REQUIRED "gldi")  # we check first the common libs that most plug-ins would need: basically, all the libs used by the core.
STRING (REGEX REPLACE "gldi;" "" PACKAGE_LIBRARIES "${PACKAGE_LIBRARIES}")  # but we don't want to link to gldi, since we are dl-opened by it.

# add_definitions (-DGTK_DISABLE_DEPRECATED="1")

#############    GLIB    #################
pkg_check_modules (GLIB glib-2.0)
	STRING (REGEX REPLACE "\\..*" "" GLIB_MAJOR "${GLIB_VERSION}") # 2.28.3 => 2
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" GLIB_MINOR "${GLIB_VERSION}")  # 2.28.3 => 2.28
	STRING (REGEX REPLACE "\\.[0-9]*" "" GLIB_MINOR "${GLIB_MINOR}") # 2.28 => 28
	STRING (REGEX REPLACE ".*\\." "" GLIB_NANO "${GLIB_VERSION}") # 2.28.3 => 3
	STRING (REGEX REPLACE "-.*" "" GLIB_NANO "${GLIB_NANO}")

############# SHARED-FILES #################
set (shared_filesdatadir "${pluginsdatadir}/shared-files")
add_subdirectory (shared-files)



################################################################################
#          STATIC LIBS AND DEPENDENCES USED BY MORE THAN ONE PLUG-IN           #
################################################################################



############# STATIC LIBRARIES ################
message (STATUS "> Static Libraries:")

############# GVFS-INTEGRATION ################
message (STATUS "> GVFS-Integration:")
pkg_check_modules ("LIBGIO" "gio-2.0") ## GIO is used by a few applets: do not offer the possibility to not disable it
add_subdirectory (gvfs-integration)

############# INDICATOR-APPLET #################
message (STATUS "> Indicator-Applet:")
enable_if_not_defined (enable-dbusmenu-support)
if (enable-dbusmenu-support)
	# Note: the names of dbusmenu-glib, dbusmenu-gtk and indicator have changed...
	## DBusMenu Glib
	set (DBUSMENU_MODULE dbusmenu-glib-0.4)
	pkg_check_modules (DBUSMENU ${DBUSMENU_MODULE})
	if (NOT DBUSMENU_FOUND)
		set (DBUSMENU_MODULE dbusmenu-glib)
		pkg_check_modules (DBUSMENU ${DBUSMENU_MODULE})
		set (INDICATOR_APPLICATIONADDED_HAS_HINT 0) # doesn't have 'hint' with old version
	else ()
		set (INDICATOR_APPLICATIONADDED_HAS_HINT 1) # now the ApplicationAdded signal (Status-Notifier) has a new parameter (hint) => https://code.launchpad.net/~ted/indicator-application/name-hints/+merge/67213
	endif()

	## DBusMenu Gtk
	set (DBUSMENU_GTK_MODULE dbusmenu-gtk3-0.4)
	pkg_check_modules (DBUSMENU_GTK ${DBUSMENU_GTK_MODULE})
	if (NOT DBUSMENU_GTK_FOUND)
		set (DBUSMENU_GTK_MODULE dbusmenu-gtk3)
		pkg_check_modules (DBUSMENU_GTK ${DBUSMENU_GTK_MODULE})
	endif()
endif()

## Indicator
enable_if_not_defined (enable-indicator-support)
if (enable-indicator-support)
	set (INDICATOR_APPLET_MODULE indicator3-0.4)
	pkg_check_modules (INDICATOR_APPLET ${INDICATOR_APPLET_MODULE})
	if (INDICATOR_APPLET_FOUND)
		set (INDICATOR_NEW_VERSION TRUE)  # oneiric and newer
	else()
		set (INDICATOR_APPLET_MODULE indicator3)
		pkg_check_modules (INDICATOR_APPLET ${INDICATOR_APPLET_MODULE})
	endif()
endif()

## libido
enable_if_not_defined (enable-libido-support)
if (enable-libido-support)
	set (IDO_MODULE libido3-0.1)
	pkg_check_modules (IDO ${IDO_MODULE})
	if (IDO_FOUND)
		STRING (REGEX REPLACE "\\..*" "" IDO_MAJOR "${IDO_VERSION}")
		STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" IDO_MINOR "${IDO_VERSION}")  # 0.1.7 => 1.7
		STRING (REGEX REPLACE "\\.[0-9]*" "" IDO_MINOR "${IDO_MINOR}")
		if (${IDO_MAJOR} GREATER 13
		    OR ${IDO_MAJOR} EQUAL 13 AND ${IDO_MINOR} GREATER 9)
			set (INDICATOR_NG 1)
		endif()
	endif()
endif()

## Extract versions of DBusMenu
if (DBUSMENU_FOUND AND DBUSMENU_GTK_FOUND)
	STRING (REGEX REPLACE "\\..*" "" DBUSMENU_MAJOR "${DBUSMENU_VERSION}")
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" DBUSMENU_MINOR "${DBUSMENU_VERSION}")  # 0.1.7 => 1.7
	STRING (REGEX REPLACE "\\.[0-9]*" "" DBUSMENU_MINOR "${DBUSMENU_MINOR}")
	STRING (REGEX REPLACE ".*\\." "" DBUSMENU_NANO "${DBUSMENU_VERSION}")
	STRING (REGEX REPLACE "-.*" "" DBUSMENU_NANO "${DBUSMENU_NANO}")

	STRING (REGEX REPLACE "\\..*" "" DBUSMENU_GTK_MAJOR "${DBUSMENU_GTK_VERSION}")
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" DBUSMENU_GTK_MINOR "${DBUSMENU_GTK_VERSION}")  # 0.1.7 => 1.7
	STRING (REGEX REPLACE "\\.[0-9]*" "" DBUSMENU_GTK_MINOR "${DBUSMENU_GTK_MINOR}")
	STRING (REGEX REPLACE ".*\\." "" DBUSMENU_GTK_NANO "${DBUSMENU_GTK_VERSION}")
	STRING (REGEX REPLACE "-.*" "" DBUSMENU_GTK_NANO "${DBUSMENU_GTK_NANO}")
	
	if (${DBUSMENU_GTK_MAJOR} GREATER 0 OR ${DBUSMENU_GTK_MINOR} GREATER 5
	    OR (${DBUSMENU_GTK_MINOR} EQUAL 5 AND ${DBUSMENU_GTK_NANO} GREATER 89))
		set (INDICATOR_APPLICATIONADDED_HAS_TITLE 1) # Status-Notifier: new parameter "Title" in the "added" signal since Precise
	else()
		set (INDICATOR_APPLICATIONADDED_HAS_TITLE 0)
	endif()
endif()

## Extract version of indicator
if (INDICATOR_APPLET_FOUND)
	STRING (REGEX REPLACE "\\..*" "" INDICATOR_MAJOR "${INDICATOR_APPLET_VERSION}")
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" INDICATOR_MINOR "${INDICATOR_APPLET_VERSION}")  # 0.1.7 => 1.7
	STRING (REGEX REPLACE "\\.[0-9]*" "" INDICATOR_MINOR "${INDICATOR_MINOR}")
	STRING (REGEX REPLACE ".*\\." "" INDICATOR_NANO "${INDICATOR_APPLET_VERSION}")
	STRING (REGEX REPLACE "-.*" "" INDICATOR_NANO "${INDICATOR_NANO}")
	
	if (${INDICATOR_MAJOR} GREATER 0 OR ${INDICATOR_MINOR} GREATER 4
	    OR (${INDICATOR_MINOR} EQUAL 4 AND ${INDICATOR_NANO} GREATER 89))
		set (SOUND_SERVICE_VERSION 1) # Sound-Menu: new DBus path
		set (INDICATOR_MESSAGES_HAS_LOZENGE 1)   # Messaging Menu has 'right-is-lozenge'
	else() # older than Precise.
		set (SOUND_SERVICE_VERSION 0)
		set (INDICATOR_MESSAGES_HAS_LOZENGE 0)
	endif()

	if (INDICATOR_NEW_VERSION)  # oneiric and newer
		execute_process(
			COMMAND pkg-config --variable=iconsdir indicator3-0.4
			OUTPUT_VARIABLE INDICATORICONSDIR)
		execute_process(
			COMMAND pkg-config --variable=indicatordir indicator3-0.4
			OUTPUT_VARIABLE INDICATORDIR)
		STRING (REGEX REPLACE "\n" "" INDICATORDIR ${INDICATORDIR})
		set (with_indicator3 yes)
		message (STATUS "  Indicators: with Indicator3 support")
	else()
		execute_process(
			COMMAND pkg-config --variable=iconsdir indicator3
			OUTPUT_VARIABLE INDICATORICONSDIR)
	endif()
	STRING (REGEX REPLACE "\n" "" INDICATORICONSDIR "${INDICATORICONSDIR}")  # la commande rajoute un retour chariot ...
	if (with_indicator3)

=== debian/changelog ===
cairo-dock-plug-ins (3.4.0-1) unstable; urgency=medium

  * Imported Upstream version 3.4.0.
  * Update debian/control.
    - Update version of cairo-dock-dev to 3.4.0.
    - Update description for each packages.
    - Bump Standard Version: 3.9.6.
  * Remove patches/bzr3083-3084_Support_UPower0.99.patch.
    This patch is included in new version.
  * Update debian/copyright.
    - Use * instaed of */*.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 23 Oct 2014 14:27:28 +0900

cairo-dock-plug-ins (3.3.2-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add debian/patches/bzr3083-3084_Support_UPower0.99.patch (Closes: #748929)
    - Borrowed from the ubuntu package, supposedly originally from upstream.
    - Massage the patch to apply without first applying
      bzr3057_GMenu_new_apps_show_dialog_after_installation.patch

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 14 Jul 2014 12:01:25 +0200

cairo-dock-plug-ins (3.3.2-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build depend on libgnutls28-dev to make the package buildable
    again. Closes: #753488.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 08 Jul 2014 22:44:54 +0200

cairo-dock-plug-ins (3.3.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build for the default Ruby version, instead of hardcoding any.
     (Closes: #745926)

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 26 Apr 2014 17:56:53 +0200

cairo-dock-plug-ins (3.3.2-3) unstable; urgency=low

  * Update debian/rules.
    - Remove sparc from mono (cli) support. (Closes: #727593)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 18 Nov 2013 14:24:52 +0900

cairo-dock-plug-ins (3.3.2-2) unstable; urgency=low

  * Update debian/control.
    - Remove sparc from mono support. (Closes: #727593)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 18 Nov 2013 08:18:48 +0900

cairo-dock-plug-ins (3.3.2-1) unstable; urgency=low

  * Imported Upstream version 3.3.2
  * Update debian/control.
    - Remove mono support by ia64. (Closes: #727593)
    - Update version of cairo-dock-dev to 3.3.2.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 07 Nov 2013 13:24:49 +0900

cairo-dock-plug-ins (3.3.1-2) unstable; urgency=low

  * Update debian/control.
    - Update version of cairo-dock-dev to 3.3.1.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 22 Oct 2013 17:40:50 +0900

cairo-dock-plug-ins (3.3.1-1) unstable; urgency=low

  * Imported Upstream version 3.3.1
  * Fix lintian warning: copyright-refers-to-symlink-license
  * Fix lintian warning: debian-control-has-unusual-field-spacing
  * Refresh patches

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 15 Oct 2013 16:37:54 +0900

cairo-dock-plug-ins (3.2.1-4) unstable; urgency=low

  * Update debian/rukes.
    - Fix function which checks the architecture.
  * Remove armhf from cli supported architecture.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 06 Jul 2013 09:47:50 +0900

cairo-dock-plug-ins (3.2.1-3) unstable; urgency=low

  * Fix FTBFS on kFreeBSD.
    Add patches/0001-Fix-MATCH-as-FreeBSD.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 05 Jul 2013 12:25:43 +0900

cairo-dock-plug-ins (3.2.1-2) unstable; urgency=low

  * Only CLI supporting architectures performs dh_clifixperms and dh_clideps.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 05 Jul 2013 08:08:02 +0900

cairo-dock-plug-ins (3.2.1-1) unstable; urgency=low

  [ Youhei SASAKI ]
  * Imported Upstream version 3.2.1
  * Enable multiarch support
  * Drop obsolete DM-Upload-Allowed
  * Use canonical URI in Vcs-* fields
  * Update build-depnds, use valac (Closes: #709709, #709698)
  * Update patch: fix typo.
  * Fix linitan info: python -> Python
  * Bump Standard version: 3.9.4

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 02 Jun 2013 00:05:23 +0900

=== debian/control ===
Source: cairo-dock-plug-ins
Section: x11
Priority: extra
Maintainer: Debian Cairo-dock Maintainers <pkg-cairo-dock-devel@lists.alioth.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>,
 Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: cdbs, debhelper (>= 7), cmake(>= 2.8.0), dpkg-dev (>= 1.16.1~),
 cairo-dock-dev (>= 3.4.0),
 cli-common-dev [amd64 armel i386 kfreebsd-any powerpc s390x],
 libasound2-dev [linux-any],
 libcairo2-dev (>= 1.8.0),
 libcurl4-gnutls-dev,
 libdbus-glib-1-dev,
 libdbusmenu-glib-dev,
 libdbusmenu-gtk3-dev,
 libetpan-dev,
 libexif-dev,
 libgl1-mesa-dev | libgl-dev,
 libglib2.0-cil-dev [amd64 armel i386 kfreebsd-any powerpc s390x],
 libglib2.0-dev,
 libglu1-mesa-dev | libglu-dev,
 libgnome-menu-3-dev,
 libgnutls28-dev,
 libgtk-3-dev,
 libical-dev,
 libido3-0.1-dev,
 libindicator3-dev,
 libndesk-dbus-glib1.0-cil-dev [amd64 armel i386 kfreebsd-any powerpc s390x],
 libndesk-dbus1.0-cil-dev [amd64 armel i386 kfreebsd-any powerpc s390x],
 libpango1.0-dev,
 libpulse-dev,
 librsvg2-dev,
 libsensors4-dev,
 libupower-glib-dev,
 libvte-2.90-dev,
 libwebkitgtk-3.0-dev,
 libxklavier-dev,
 libxml2-dev,
 libxtst-dev,
 libxxf86vm-dev,
 libzeitgeist-dev,
 mono-devel [amd64 armel i386 kfreebsd-any powerpc s390x],
 mono-gmcs [amd64 armel i386 kfreebsd-any powerpc s390x],
 python,
 python3,
 ruby,
 ruby-dev,
 valac,
 x11proto-xf86vidmode-dev
Standards-Version: 3.9.6
Homepage: http://www.glx-dock.org/
Vcs-Git: git://anonscm.debian.org/pkg-cairo-dock/cairo-dock-plug-ins.git
Vcs-Browser: http://anonscm.debian.org/pkg-cairo-dock/cairo-dock-plug-ins.git

Package: cairo-dock-plug-ins
Architecture: any
Depends: ${misc:Depends},
  cairo-dock-alsamixer-plug-in [linux-any],
  cairo-dock-animated-icons-plug-in,
  cairo-dock-cairo-penguin-plug-in,
  cairo-dock-clipper-plug-in,
  cairo-dock-clock-plug-in,
  cairo-dock-dbus-plug-in,
  cairo-dock-desklet-rendering-plug-in,
  cairo-dock-dialog-rendering-plug-in,
  cairo-dock-drop-indicator-plug-in,
  cairo-dock-dustbin-plug-in,
  cairo-dock-icon-effect-plug-in,
  cairo-dock-illusion-plug-in,
  cairo-dock-logout-plug-in,
  cairo-dock-motion-blur-plug-in,
  cairo-dock-netspeed-plug-in,
  cairo-dock-powermanager-plug-in,
  cairo-dock-quick-browser-plug-in,
  cairo-dock-rendering-plug-in,
  cairo-dock-shortcuts-plug-in,
  cairo-dock-showdesktop-plug-in,
  cairo-dock-showmouse-plug-in,
  cairo-dock-slider-plug-in,
  cairo-dock-stack-plug-in,
  cairo-dock-switcher-plug-in,
  cairo-dock-systray-plug-in,
  cairo-dock-tomboy-plug-in,
  cairo-dock-toons-plug-in,
  cairo-dock-weather-plug-in,
  cairo-dock-wifi-plug-in,
  cairo-dock-xgamma-plug-in,
  cairo-dock-gmenu-plug-in,
  cairo-dock-keyboard-indicator-plug-in,
  cairo-dock-terminal-plug-in,
  cairo-dock-mail-plug-in,
  cairo-dock-rssreader-plug-in,
  cairo-dock-system-monitor-plug-in,
  cairo-dock-dnd2share-plug-in,
  cairo-dock-musicplayer-plug-in,
  cairo-dock-weblets-plug-in,
  cairo-dock-folders-plug-in,
  cairo-dock-impulse-plug-in,
  cairo-dock-messaging-menu-plug-in,
  cairo-dock-recent-events-plug-in,
  cairo-dock-remote-control-plug-in
Breaks: cairo-dock-plugins (<< 2.4.0~2-1)
Replaces: cairo-dock-plugins (<< 2.4.0~2-1)
Description: Cairo-dock - All plug-ins
 A collection of official plug-ins and applets for cairo-dock.
 .
 This is a metapackage depending on all available cairo-dock plug-ins to make
 installation easier.

Package: cairo-dock-plug-in-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: cairo-dock-plugin-data (<< 2.4.0~2-1)
Replaces: cairo-dock-plugin-data (<< 2.4.0~2-1)
Description: Cairo-dock - Plug-in data files
 A collection of official plug-ins and applets for cairo-dock.
 .
 This package provides plug-in data files.

Package: cairo-dock-alsamixer-plug-in
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Breaks: cairo-dock-alsamixer-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-alsamixer-plugin (<< 2.4.0~2-1)
Description: Alsamixer plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in lets you control the sound volume from the dock.
 This works with the Alsa sound driver.

Package: cairo-dock-animated-icons-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Breaks: cairo-dock-animated-icons-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-animated-icons-plugin (<< 2.4.0~2-1)
Description: Animated icons plug-in Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in provides many different animations for your icons.

Package: cairo-dock-cairo-penguin-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Breaks: cairo-dock-cairo-penguin-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-cairo-penguin-plugin (<< 2.4.0~2-1)
Description: Cairo-Penguin plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in adds a lively Penguin in your dock.
 Tux images are taken from Pingus, some other characters are available
 or can be added easily.

Package: cairo-dock-clipper-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Breaks: cairo-dock-clipper-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-clipper-plugin (<< 2.4.0~2-1)
Description: Clipper plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in keeps a trace of the clipboard and mouse selection,
 so that you can recall them quickly. It's a clone of the well-know Klipper.
 This supports clipboard and mouse selection, predefined actions, and
 persistent items.

Package: cairo-dock-clock-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Breaks: cairo-dock-clock-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-clock-plugin (<< 2.4.0~2-1)
Description: Clock plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in displays time and date in your dock.
 Two views are available : numeric and analogic, based on Cairo-Clock.
 This is compatible with the Cairo-Clock's themes, and you can detach itself to
 be a perfect clone of Cairo-Clock.
 And this supports alarms, and a basic calendar, and allows you to set time
 and date.

Package: cairo-dock-dbus-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Breaks: cairo-dock-dbus-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-dbus-plugin (<< 2.4.0~2-1)
Suggests: cairo-dock-dbus-plug-in-interface-python (>= ${source:Version}),
	cairo-dock-dbus-plug-in-interface-ruby (>= ${source:Version}),
	cairo-dock-dbus-plug-in-interface-mono (>= ${source:Version}),
	cairo-dock-dbus-plug-in-interface-vala (>= ${source:Version})
Description: Dbus plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock
 .
 This plug-in lets external applications interact on the dock.
 The communication between both sides is based on Dbus.

Package: cairo-dock-dbus-plug-in-interface-python
Architecture: all
Depends: cairo-dock-plug-ins (>= ${source:Version}), ${misc:Depends}, python
Description: library of D-Bus interface for Python of Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This package provides library of Cairo-Dock D-Bus interface for Python.

Package: cairo-dock-dbus-plug-in-interface-ruby
Architecture: all
Depends: cairo-dock-plug-ins (>= ${source:Version}), ${misc:Depends}, ruby
Description: library of D-Bus interface for ruby of Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This package provides library of Cairo-Dock D-Bus interface for ruby.

Package: cairo-dock-dbus-plug-in-interface-mono
Architecture: amd64 armel i386 kfreebsd-any powerpc s390x
Depends: cairo-dock-plug-ins (>= ${source:Version}), ${misc:Depends}, ${cli:Depends}
Description: library of D-Bus interface for mono of Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This package provides library of Cairo-Dock D-Bus interface for mono

Package: cairo-dock-dbus-plug-in-interface-vala
Architecture: any
Depends: cairo-dock-plug-ins (>= ${source:Version}), ${shlibs:Depends},
	${misc:Depends}, valac
Description: library of D-Bus interface for vala of Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This package provides library of Cairo-Dock D-Bus interface for vala.

Package: cairo-dock-desklet-rendering-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Breaks: cairo-dock-desklet-rendering-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-desklet-rendering-plugin (<< 2.4.0~2-1)
Description: Desklet rendering plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in renders your desktop.

Package: cairo-dock-dialog-rendering-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Breaks: cairo-dock-dialog-rendering-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-dialog-rendering-plugin (<< 2.4.0~2-1)
Description: Dialog rendering plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in provides some dialog decorators for dialog bubbles.

Package: cairo-dock-drop-indicator-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Breaks: cairo-dock-drop-indicator-plugin  (<< 2.4.0~2-1)
Replaces: cairo-dock-drop-indicator-plugin (<< 2.4.0~2-1)
Description: Drop indicator plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in displays an animated indicator when you drop something
 in the dock.

Package: cairo-dock-dustbin-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Breaks: cairo-dock-dustbin-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-dustbin-plugin (<< 2.4.0~2-1)
Description: Dustbin plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in manages the dustbin.
 Users can delete files and unmount disks by drag and dropping them on
 the icon.
 This can warn users if they use too much space.

Package: cairo-dock-icon-effect-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Breaks: cairo-dock-icon-effect-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-icon-effect-plugin (<< 2.4.0~2-1)
Description: Icon effect plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in adds many special effects to your icons.

Package: cairo-dock-illusion-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Breaks: cairo-dock-illusion-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-illusion-plugin (<< 2.4.0~2-1)
Description: Illusion plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 This plug-in provides animations for appearance and disappearance of icons.

Package: cairo-dock-logout-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Breaks: cairo-dock-logout-plugin (<< 2.4.0~2-1)
Replaces: cairo-dock-logout-plugin (<< 2.4.0~2-1)
Description: Logout plug-in for Cairo-dock
 A collection of official plug-ins and applets for cairo-dock.
 .
 A very simple plug-in that adds an icon to log out from your session.

Package: cairo-dock-motion-blur-plug-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
Breaks: cairo-dock-motion-blur-plugin (<< 2.4.0~2-1)

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

DEB_CMAKE_EXTRA_FLAGS += \
	-DROOT_PREFIX=$(CURDIR)/debian/tmp \
	-Denable-gnome-integration=ON \
	-Denable-old-gnome-integration=OFF \
	-Denable-kde-integration=ON \
	-Denable-xfce-integration=ON \
	-DGMCS_EXECUTABLE=/usr/bin/mono-csc \
	-DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

CLI_ARCH=zamd64z zarmelz zi386z zkfreebsd-i386z \
		 zkfreebsd-amd64z zpowerpcz zs390xz

common-binary-predeb-arch::
ifneq (,$(findstring z$(DEB_HOST_ARCH)z, $(CLI_ARCH)))
	dh_clifixperms
	dh_clideps -d
endif

## cairo-dock-plug-ins 3.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 ########### project ###############
 
 project ("cairo-dock-plugins")
-set (VERSION "3.4.0")
+set (VERSION "3.4.1")
 
 add_definitions (-std=c99 -Wall -Werror-implicit-function-declaration) # -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration -Wstrict-prototypes -Wreturn-type -Wparentheses -Warray-bounds)
 if (NOT DEFINED CMAKE_BUILD_TYPE)
@@ -24,7 +24,7 @@
 set (CPACK_SOURCE_GENERATOR "TGZ")
 set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
 set (CPACK_SOURCE_IGNORE_FILES
-	"/build/;/.bzr/;bzrignore$;/misc/;~$;${CPACK_SOURCE_IGNORE_FILES}")
+	"/build/;/.bzr/;/.bzrignore$;/.git/;/.gitignore$;/misc/;~$;${CPACK_SOURCE_IGNORE_FILES}")
 include (CPack)
 
 add_custom_target(dist
@@ -278,4 +278,3 @@
 			OUTPUT_VARIABLE INDICATORICONSDIR)
 	endif()
 	STRING (REGEX REPLACE "\n" "" INDICATORICONSDIR "${INDICATORICONSDIR}")  # la commande rajoute un retour chariot ...
-	if (with_indicator3)

=== Dbus/src/CMakeLists.txt ===

########### sources ###############

SET (cd-Dbus_LIB_SRCS
	applet-init.c 				applet-init.h
	applet-config.c 			applet-config.h
	applet-dbus.c 				applet-dbus.h
	interface-main-methods.c 	interface-main-methods.h
	interface-main-query.c 		interface-main-query.h
	interface-applet-object.c 	interface-applet-object.h
	interface-applet-methods.c 	interface-applet-methods.h
	interface-applet-signals.c 	interface-applet-signals.h
	dbus-applet-spec.h
	dbus-sub-applet-spec.h
	dbus-main-spec.h
	applet-struct.h
)

add_library (${PACKAGE_DBUS} SHARED ${cd-Dbus_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${dbusdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="none")
add_definitions (-DMY_APPLET_CONF_FILE="Dbus.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Dbus")
add_definitions (-DMY_APPLET_VERSION="${VERSION_DBUS}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_DBUS}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
add_definitions (-DCD_PLUGINS_DIR="${pluginsdir}")

IF (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
	set(kvm "kvm")
endif()

if (DBUSMENU_FOUND AND DBUSMENU_GTK_FOUND)
	message (STATUS " * With DBusMenu support")
	add_definitions (-DDBUSMENU_GTK_FOUND=1)

	include_directories (
		${DBUSMENU_INCLUDE_DIRS}
		${DBUSMENU_GTK_INCLUDE_DIRS}
		${PACKAGE_INCLUDE_DIRS})

	link_directories (
		${DBUSMENU_LIBRARY_DIRS}
		${DBUSMENU_GTK_LIBRARY_DIRS}
		${PACKAGE_LIBRARY_DIRS})

	target_link_libraries (${PACKAGE_DBUS}
		${DBUSMENU_LIBRARIES}
		${DBUSMENU_GTK_LIBRARIES}
		${PACKAGE_LIBRARIES}
		${kvm})
else()
	include_directories (
		${PACKAGE_INCLUDE_DIRS})

	link_directories (
		${PACKAGE_LIBRARY_DIRS})

	target_link_libraries (${PACKAGE_DBUS}
		${PACKAGE_LIBRARIES}
		${kvm})
endif()

########### install files ###############

install (TARGETS ${PACKAGE_DBUS} DESTINATION ${pluginsdir})

=== Folders/data/CMakeLists.txt ===
########### subdirs if any ###############


########### install files ###############

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/Folders.conf
	preview.jpg
	icon.png
	DESTINATION ${foldersdatadir})

=== GMenu/data/CMakeLists.txt ===

########### install files ###############

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/GMenu.conf
	preview.jpg
	icon.svg
	system-log-out.svg
	system-shutdown.svg
	DESTINATION ${gmenudatadir})

=== Global-Menu/data/CMakeLists.txt ===

########### install files ###############

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/Global-Menu.conf
	preview.jpg
	icon.svg
	button-min.svg
	button-max.svg
	button-restore.svg
	button-close.svg
	DESTINATION ${global_menudatadir})

=== Impulse/data/CMakeLists.txt ===

########### install files ###############

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/Impulse.conf
	preview.jpg
	icon.png
	impulse-error.svg
	impulse-running.svg
	impulse-stopped.svg
	DESTINATION ${impulsedatadir})

=== Recent-Events/data/CMakeLists.txt ===
########### subdirs if any ###############


########### install files ###############

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/Recent-Events.conf
	preview.jpg
	icon.svg
	DESTINATION ${recent_eventsdatadir})

=== Recent-Events/src/CMakeLists.txt ===

########### sources ###############

SET(MODULE_SRCS
	applet-struct.h
	applet-init.c 			applet-init.h
	applet-config.c 			applet-config.h
	applet-search.c 			applet-search.h
	applet-dialog.c 			applet-dialog.h
	applet-notifications.c 		applet-notifications.h
)

add_library(${PACKAGE_RECENT_EVENTS} SHARED ${MODULE_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${recent_eventsdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="Recent-Events.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Recent-Events")
add_definitions (-DMY_APPLET_VERSION="${VERSION_RECENT_EVENTS}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_RECENT_EVENTS}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
if (ZEITGEIST_1_0)
	add_definitions (-DZEITGEIST_1_0=1)
endif()
### uncomment the following line to allow multi-instance applet.
#add_definitions (-DCD_APPLET_MULTI_INSTANCE="1")
### uncomment the following line to allow extended OpenGL drawing.
#add_definitions (-DGL_GLEXT_PROTOTYPES="1")

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${RECENT_EVENTS_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${RECENT_EVENTS_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_RECENT_EVENTS}
	${PACKAGE_LIBRARIES}
	${RECENT_EVENTS_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_RECENT_EVENTS} DESTINATION ${pluginsdir})

=== Remote-Control/data/CMakeLists.txt ===
########### subdirs if any ###############


########### install files ###############

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/Remote-Control.conf
	preview.jpg
	icon.png
	arrows.svg
	DESTINATION ${remote_controldatadir})

=== System-Monitor/src/CMakeLists.txt ===

########### sources ###############

SET (cd-System-Monitor_LIB_SRCS
	applet-init.c 		applet-init.h
	applet-config.c 		applet-config.h
	applet-cpusage.c 		applet-cpusage.h
	applet-rame.c 		applet-rame.h
	applet-nvidia.c 		applet-nvidia.h
	applet-top.c 		applet-top.h
	applet-monitor.c 		applet-monitor.h
	applet-notifications.c 	applet-notifications.h
	applet-struct.h
)

if (SENSORS_FOUND)
	SET (cd-System-Monitor_SENSORS_SRCS
		applet-sensors.c 		applet-sensors.h)
endif()
add_library (${PACKAGE_SYSTEM_MONITOR} SHARED
		${cd-System-Monitor_LIB_SRCS}
		${cd-System-Monitor_SENSORS_SRCS})
########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${system_monitordatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="System-Monitor.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="System-Monitor")
add_definitions (-DMY_APPLET_VERSION="${VERSION_SYSTEM_MONITOR}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_SYSTEM_MONITOR}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.png")
add_definitions (-DCD_APPLET_MULTI_INSTANCE="1")

if (SENSORS_FOUND)
	add_definitions (-DHAVE_SENSORS="1")
endif()

include_directories (${PACKAGE_INCLUDE_DIRS}
	${SENSORS_INCLUDE_DIR})

link_directories (${PACKAGE_LIBRARY_DIRS}
	${SENSORS_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_SYSTEM_MONITOR}
	${PACKAGE_LIBRARIES}
	${SENSORS_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_SYSTEM_MONITOR} DESTINATION ${pluginsdir})

=== alsaMixer/data/CMakeLists.txt ===
add_subdirectory(gauges)

########### install files ###############

install(FILES  ${CMAKE_CURRENT_BINARY_DIR}/AlsaMixer.conf
	default.svg
	mute.svg
	emblem-mute.svg
	broken.svg
	preview.jpg
	icon.png
	DESTINATION ${alsa_mixerdatadir})

=== alsaMixer/src/CMakeLists.txt ===

########### sources ###############

set (cd-AlsaMixer_LIB_SRCS
	applet-init.c 				applet-init.h
	applet-config.c 			applet-config.h
	applet-notifications.c 		applet-notifications.h
	applet-draw.c 				applet-draw.h
	applet-generic.c 			applet-generic.h
	# alsa backend
	applet-backend-alsamixer.c 	applet-backend-alsamixer.h
	applet-struct.h)

# Sound service backend (optionnal)
if (INDICATOR_SOUNDMENU_WITH_IND3)
	list (APPEND cd-AlsaMixer_LIB_SRCS
		applet-backend-sound-menu.c applet-backend-sound-menu.h)
elseif (with_soundmenu)
	list (APPEND cd-AlsaMixer_LIB_SRCS
		applet-backend-sound-menu-old.c applet-backend-sound-menu-old.h
		applet-menu.c 				applet-menu.h
		volume-widget.c				volume-widget.h
		voip-input-widget.c			voip-input-widget.h
		transport-widget.c			transport-widget.h
		mute-widget.c				mute-widget.h
		metadata-widget.c			metadata-widget.h)
endif()

add_library (${PACKAGE_ALSA_MIXER} SHARED ${cd-AlsaMixer_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${alsa_mixerdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="AlsaMixer.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="AlsaMixer")
add_definitions (-DMY_APPLET_VERSION="${VERSION_ALSA_MIXER}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_ALSA_MIXER}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.png")

if (INDICATOR_SOUNDMENU_WITH_IND3)
	message (STATUS "   With Indicator-Applet3")
	add_definitions (-DINDICATOR_SOUNDMENU_WITH_IND3=1)
	if (INDICATOR_NG)
		add_definitions (-DIS_INDICATOR_NG=1)
	endif()
	set (EXTRAS_INCLUDE_DIRS ${INDICATOR_APPLET_INCLUDE_DIRS}
		${CMAKE_SOURCE_DIR}/Indicator-applet3)
	set (EXTRAS_LIBRARY_DIRS ${INDICATOR_APPLET_LIBRARY_DIRS}
		${CMAKE_SOURCE_DIR}/Indicator-applet3)
	set (EXTRAS_LIBRARIES ${INDICATOR_APPLET_LIBRARIES} indicator-applet3)
elseif (with_soundmenu)
	add_definitions (-DSOUND_SERVICE_SUPPORT="1")
	add_definitions (-DSOUND_SERVICE_VERSION=${SOUND_SERVICE_VERSION})
	set (EXTRAS_INCLUDE_DIRS ${DBUSMENU_INCLUDE_DIRS}
		${DBUSMENU_GTK_INCLUDE_DIRS} ${INDICATOR_APPLET_INCLUDE_DIRS}
		${IDO_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR}/Indicator-applet)
	set (EXTRAS_LIBRARY_DIRS ${DBUSMENU_LIBRARY_DIRS}
		${DBUSMENU_GTK_LIBRARY_DIRS} ${INDICATOR_APPLET_LIBRARY_DIRS}
		${IDO_LIBRARY_DIRS} ${CMAKE_SOURCE_DIR}/Indicator-applet)
	set (EXTRAS_LIBRARIES ${DBUSMENU_LIBRARIES} ${DBUSMENU_GTK_LIBRARIES}
		${INDICATOR_APPLET_LIBRARIES} ${IDO_LIBRARIES} indicator-applet)
endif()

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${ALSA_MIXER_PACKAGE_INCLUDE_DIRS}
	${EXTRAS_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${ALSA_MIXER_PACKAGE_LIBRARY_DIRS}
	${EXTRAS_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_ALSA_MIXER}
	${PACKAGE_LIBRARIES}
	${ALSA_MIXER_PACKAGE_LIBRARIES}
	${EXTRAS_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_ALSA_MIXER} DESTINATION ${pluginsdir})

=== debian/changelog ===
cairo-dock-plug-ins (3.4.1-1) unstable; urgency=medium

  * Imported Upstream version 3.4.1.
  * Update debian/control.
    - Update version of cairo-dock-dev to 3.4.1.
    - Bump Standard Version: 3.9.8.
    - Use a secure transport for the Vcs-Git and Vcs-Browser URL.
    - Update debhelper version to 9.
  * Update debian/patches.
    - Fix API of weather.com. (Closes: #825379)
      Add debian/patches/weather-url.patch. Thanks to Elimar Riesebieter
      <riesebie@lxtec.de>.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 30 Oct 2016 04:31:54 +0900

cairo-dock-plug-ins (3.4.0-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * The architectures list is in two places? Of course it is. Make the
    rule conditional upon the existence of a file only installed if
    on a Mono platform, so it only needs maintaining in one place.

 -- Jo Shields <directhex@apebox.org>  Tue, 22 Dec 2015 18:12:32 +0000

cairo-dock-plug-ins (3.4.0-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * d/p/use_correct_csharp_compiler.patch:
    Debian now has Mono 4.0+, which means "gmcs" no longer exists
  * debian/control: Updated list of architectures supported by Mono (Closes:
    #808502)

 -- Jo Shields <directhex@apebox.org>  Mon, 21 Dec 2015 09:32:11 +0000

cairo-dock-plug-ins (3.4.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * d/p/0005-Use-dbus-sharp-not-unmaintained-NDesk.patch, debian/control: 
    Use dbus-sharp instead of ndesk-dbus (Closes: #804537)

 -- Jo Shields <directhex@apebox.org>  Wed, 18 Nov 2015 12:49:35 +0000

cairo-dock-plug-ins (3.4.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use libzeitgeist-2.0-dev instead of libzeitgeist-dev, libzeitgeist 1.0 is
    deprecated for quite some time and this package is the last one to use it.
    (Closes: #801969)
  * d/p/0004-Add-CMake-check-for-vte-2.91-and-fix-VTE_CHECK_VERSI.patch: Use
    libvte-2.91 instead of libvte-2.90 (Thanks to Rodolphe PELLOUX-PRAYER
    <rodolphe@damsy.net>, Closes: #788019)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 16 Oct 2015 16:25:44 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Cairo-dock Maintainers <pkg-cairo-dock-devel@lists.alioth.debian.org>
 Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>,
  Youhei SASAKI <uwabami@gfd-dennou.org>
-Build-Depends: cdbs, debhelper (>= 7), cmake(>= 2.8.0), dpkg-dev (>= 1.16.1~),
- cairo-dock-dev (>= 3.4.0),
- cli-common-dev [amd64 armel i386 kfreebsd-any powerpc s390x],
+Build-Depends: cdbs, debhelper (>= 9), cmake(>= 2.8.0), dpkg-dev (>= 1.16.1~),
+ cairo-dock-dev (>= 3.4.1),
+ cli-common-dev [amd64 armel armhf i386 mipsel kfreebsd-any ppc64 ppc64el s390x],
  libasound2-dev [linux-any],
  libcairo2-dev (>= 1.8.0),
  libcurl4-gnutls-dev,
@@ -16,7 +16,7 @@
  libetpan-dev,
  libexif-dev,
  libgl1-mesa-dev | libgl-dev,
- libglib2.0-cil-dev [amd64 armel i386 kfreebsd-any powerpc s390x],
+ libglib2.0-cil-dev [amd64 armel armhf i386 mipsel kfreebsd-any ppc64 ppc64el s390x],
  libglib2.0-dev,
  libglu1-mesa-dev | libglu-dev,
  libgnome-menu-3-dev,
@@ -25,32 +25,31 @@
  libical-dev,
  libido3-0.1-dev,
  libindicator3-dev,
- libndesk-dbus-glib1.0-cil-dev [amd64 armel i386 kfreebsd-any powerpc s390x],
- libndesk-dbus1.0-cil-dev [amd64 armel i386 kfreebsd-any powerpc s390x],
+ libdbus-glib2.0-cil-dev [amd64 armel armhf i386 mipsel kfreebsd-any ppc64 ppc64el s390x],
+ libdbus2.0-cil-dev [amd64 armel armhf i386 mipsel kfreebsd-any ppc64 ppc64el s390x],
  libpango1.0-dev,
  libpulse-dev,
  librsvg2-dev,
  libsensors4-dev,
  libupower-glib-dev,
- libvte-2.90-dev,
+ libvte-2.91-dev,
  libwebkitgtk-3.0-dev,
  libxklavier-dev,
  libxml2-dev,
  libxtst-dev,
  libxxf86vm-dev,
- libzeitgeist-dev,
- mono-devel [amd64 armel i386 kfreebsd-any powerpc s390x],
- mono-gmcs [amd64 armel i386 kfreebsd-any powerpc s390x],
+ libzeitgeist-2.0-dev,
+ mono-devel [amd64 armel armhf i386 mipsel kfreebsd-any ppc64 ppc64el s390x],
  python,
  python3,
  ruby,
  ruby-dev,
  valac,
  x11proto-xf86vidmode-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.glx-dock.org/
-Vcs-Git: git://anonscm.debian.org/pkg-cairo-dock/cairo-dock-plug-ins.git
-Vcs-Browser: http://anonscm.debian.org/pkg-cairo-dock/cairo-dock-plug-ins.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-cairo-dock/cairo-dock-plug-ins.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-cairo-dock/cairo-dock-plug-ins.git
 
 Package: cairo-dock-plug-ins
 Architecture: any
@@ -210,7 +209,7 @@
  This package provides library of Cairo-Dock D-Bus interface for ruby.
 
 Package: cairo-dock-dbus-plug-in-interface-mono
-Architecture: amd64 armel i386 kfreebsd-any powerpc s390x
+Architecture: amd64 armel armhf i386 mipsel kfreebsd-any ppc64 ppc64el s390x
 Depends: cairo-dock-plug-ins (>= ${source:Version}), ${misc:Depends}, ${cli:Depends}
 Description: library of D-Bus interface for mono of Cairo-dock
  A collection of official plug-ins and applets for cairo-dock.
@@ -303,4 +302,3 @@
 Package: cairo-dock-motion-blur-plug-in
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-plug-in-data (= ${source:Version})
-Breaks: cairo-dock-motion-blur-plugin (<< 2.4.0~2-1)

=== debian/rules ===
--- 
+++ 
@@ -17,11 +17,8 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/cmake.mk
 
-CLI_ARCH=zamd64z zarmelz zi386z zkfreebsd-i386z \
-		 zkfreebsd-amd64z zpowerpcz zs390xz
-
 common-binary-predeb-arch::
-ifneq (,$(findstring z$(DEB_HOST_ARCH)z, $(CLI_ARCH)))
-	dh_clifixperms
-	dh_clideps -d
-endif
+	if [ -e /usr/share/mono/mono-archs.make ] ; then \
+		dh_clifixperms ; \
+		dh_clideps -d ; \
+	fi
